Skip to main content

Out-of-bounds Write

CVE-2022-38749

Severity Medium
Score 6.5/10

Summary

Using snakeYAML before 1.31 parse untrusted YAML files may be vulnerable to Denial of Service attacks (DOS). If the parser is running on user supplied input, an attacker may supply content that causes the parser to crash by stack overflow. This CVE is duplicating CVE-2022-25857. Checkmarx analyzed this thoroughly to understand if there was a difference between the CVEs but they reference the same issue and the fix is exactly the same.

  • LOW
  • NETWORK
  • NONE
  • UNCHANGED
  • NONE
  • LOW
  • NONE
  • HIGH

CWE-787 - Out-of-Bounds Write

Out-of-bounds write vulnerability is a memory access bug that allows software to write data past the end or before the beginning of the intended buffer. This may result in the corruption of data, a crash, or arbitrary code execution.

Advisory Timeline

  • Published